server {
  server_name dcim.nimrouz.com;

  root /space/dev/dcim/panel/dist/dcim-gui;
  index index.html index.htm;
  try_files $uri$args $uri$args/ $uri $uri/ /index.html;
  autoindex On;

  location /api {
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection "upgrade";
    proxy_http_version 1.1;
    proxy_set_header Host $host;
    proxy_cache_bypass $http_upgrade;
    proxy_pass http://127.0.0.1:1332;
    client_max_body_size 50M;
  }

  location /doc/panel {
    alias /space/dev/dcim/panel/documentation;
  }

  location /doc/rest {
    alias /space/dev/dcim/rest/doc/dist;
  }

  location = /robots.txt { access_log off; log_not_found off; }
  location ~ /\. { deny all; access_log off; log_not_found off; }

  listen 443 ssl; # managed by Certbot
  ssl_certificate /etc/letsencrypt/live/dcim.nimrouz.com/fullchain.pem; # managed by Certbot
  ssl_certificate_key /etc/letsencrypt/live/dcim.nimrouz.com/privkey.pem; # managed by Certbot
  include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
  ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot
}

server {
  if ($host = dcim.nimrouz.com) {
    return 301 https://$host$request_uri;
  } # managed by Certbot


  listen 80;
  server_name dcim.nimrouz.com;
  return 404; # managed by Certbot
}
