server {
  server_name  irantv2.com;
  index index.htm index.html;
  root /space/dev/irantv2/gui/dist/gui;

  location / {
    try_files $uri $uri/ /index.html;
  }

  location /admin {
    alias /space/dev/irantv2/admin/dist/admin;
    try_files $uri$args $uri$args/ $uri $uri/ /admin/index.html;
  }

  location /api {
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection "upgrade";
    proxy_http_version 1.1;
    #proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header Host $host;
    proxy_cache_bypass $http_upgrade;
    proxy_pass http://127.0.0.1:1341;
    client_max_body_size 400M;
  }

  location /media {
    alias /space/dev/irantv2/rest/public/media;
  }

#  location /direct {
#    alias /space/dev/irantv2/rest/public;
#  }

  location ~^/direct/(?<uuid>.*)/(?<fname>.*)$ {
    alias /space/dev/irantv2/rest/public;
    try_files /$uuid =404;
  }

  listen 443 ssl; # managed by Certbot
  ssl_certificate /etc/letsencrypt/live/irantv2.com/fullchain.pem; # managed by Certbot
  ssl_certificate_key /etc/letsencrypt/live/irantv2.com/privkey.pem; # managed by Certbot
  include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
  ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}

server {
  listen               80;
  server_name          irantv2.com www.irantv2.com;
  return 301 https://irantv2.com$request_uri;
}

server {
  listen               443;
  server_name          www.irantv2.com;
  return 301 https://irantv2.com$request_uri;
}

