server {
    listen               80;
    server_name          makhzan.nimrouz.com;

    location /admin {
        alias /space/dev/makhzan/admin/dist/admin;
        try_files $uri$args $uri$args/ $uri $uri/ /admin/index.html;
    }

    location /api {
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "upgrade";
        proxy_http_version 1.1;
        #proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header Host $host;
        proxy_cache_bypass $http_upgrade;
        proxy_pass http://127.0.0.1:1352;
        client_max_body_size 50M;
    }

    location /static/file/ {
      alias /space/dev/makhzan/repo/;

      if (!-f $request_filename){
        add_header Content-Type text/plain;
        rewrite ^/static/file/(.*[^/])$ /api/v1.0/file/$1 last;
      }
    }
}

