server {
  server_name next.asmaneh.com;
  index index.html index.htm;

  location /admin {
    alias /space/dev/ad-lib/admin/dist/admin;
    try_files $uri$args $uri$args/ $uri $uri/ /admin/index.html;
  }

  location /static/file/ {
    alias /space/dev/ad-lib/repo/;

    if (!-f $request_filename){
      add_header Content-Type text/plain;
      rewrite ^/static/file/(.*[^/])$ /api/v1.0/file/$1 last;
    }
  }

  location /api {
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection "upgrade";
    proxy_http_version 1.1;
    #proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header Host $host;
    proxy_cache_bypass $http_upgrade;
    proxy_pass http://127.0.0.1:1334;
    client_max_body_size 50M;
  }

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/next.asmaneh.com/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/next.asmaneh.com/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}

server {
    if ($host = next.asmaneh.com) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


  listen *:80;
  server_name next.asmaneh.com;
    return 404; # managed by Certbot


}