server {
  root /space/www/nimrouz.com;
  index index.php index.html index.htm;
  server_name nimrouz.com www.nimrouz.com;

  autoindex on;

  include /etc/nginx/sites-available/php.cnf;

  listen 443 ssl; # managed by Certbot
  ssl_certificate /etc/letsencrypt/live/nimrouz.com/fullchain.pem; # managed by Certbot
  ssl_certificate_key /etc/letsencrypt/live/nimrouz.com/privkey.pem; # managed by Certbot
  include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
  ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot
}

server {
  listen 80;
  root /space/www/nimrouz.com;
  index index.php index.html index.htm;
  server_name nimrouz.ir www.nimrouz.ir;

  autoindex on;

  include /etc/nginx/sites-available/php.cnf;
}

server {
  listen 80;
  server_name nimrouz.com www.nimrouz.com;
  return 301 https://$host$request_uri;
}

server {
  server_name webmail.nimrouz.com;
  include /etc/nginx/sites-available/webmail.cnf;

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/webmail.nimrouz.com/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/webmail.nimrouz.com/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}


server {
    if ($host = webmail.nimrouz.com) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


  listen 80;
  server_name webmail.nimrouz.com;
    return 404; # managed by Certbot


}