server {
    listen 80;
    server_name perf.nimrouz.com;

    root /space/dev/performance/public;
    index index.php index.html index.htm;

    location /admin/ {
        try_files $uri $uri/ /admin/index.html =404;
    }

    location /view/ {
        try_files $uri $uri/ /view/index.html =404;
    }

    location / {
        try_files $uri $uri/ /index.php?$query_string;
    }

    location ~ \.php$ {
        try_files $uri /index.php =404;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_pass unix:/var/run/php/php7.4-fpm.sock;
        fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        include fastcgi_params;
    }

}

