server {
  listen 443 ssl;
  server_name video.nimrouz.com;
  ssl_certificate /etc/letsencrypt/live/video.nimrouz.com/fullchain.pem; # managed by Certbot
  ssl_certificate_key /etc/letsencrypt/live/video.nimrouz.com/privkey.pem; # managed by Certbot
  include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
  ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

  location / {
    proxy_pass https://0.0.0.0:4443;
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection 'upgrade';
    proxy_set_header Host $host;
    proxy_set_header X-Real-IP $remote_addr;                       
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;  
  }

  location /app {
    proxy_pass https://0.0.0.0:3001;
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection 'upgrade';
    proxy_set_header Host $host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
  }
}

server {
  listen 80;
  server_name video.nimrouz.com;
  return 301 https://$host$request_uri;
}

