server {
  root /space/www/elnazseyedi.com/root;
  index index.php index.html index.htm;
  server_name elnazseyedi.com;

  include /etc/nginx/sites-available/php.cnf;

  client_max_body_size 512M;
  try_files $uri $uri/ /index.php?$args;
  location ~* \.(js|css|png|jpg|jpeg|gif|ico|eot|otf|ttf|woff|mp4|mp3)$ {
    add_header Access-Control-Allow-Origin *;
    add_header Cache-Control "public, max-age=31536000, immutable";
    access_log off; log_not_found off;
  }

   # location = /robots.txt { access_log off; log_not_found off; }
   # location ~ /\. { deny all; access_log off; log_not_found off; }

  listen 443 ssl; # managed by Certbot
  ssl_certificate /etc/letsencrypt/live/elnazseyedi.com/fullchain.pem; # managed by Certbot
  ssl_certificate_key /etc/letsencrypt/live/elnazseyedi.com/privkey.pem; # managed by Certbot
  include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
  ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot
}

server {
  listen 443;
  server_name www.elnazseyedi.com;
  return 301 https://elnazseyedi.com$request_uri;

  ssl_certificate /etc/letsencrypt/live/www.elnazseyedi.com/fullchain.pem; # managed by Certbot
  ssl_certificate_key /etc/letsencrypt/live/www.elnazseyedi.com/privkey.pem; # managed by Certbot
}

server {
  listen 80;
  server_name elnazseyedi.com www.elnazseyedi.com;
  return 301 https://elnazseyedi.com$request_uri;
}
