server {
  server_name          ins.crore-data.com;

  root /space/dev/ins-demo/bi/dist/bi;
  try_files $uri$args $uri$args/ $uri $uri/ /index.html;

  location /api {
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection "upgrade";
    proxy_http_version 1.1;
    proxy_set_header Host $host;
    proxy_cache_bypass $http_upgrade;
    proxy_pass http://127.0.0.1:3000;
    client_max_body_size 50M;
  }

  listen 443 ssl; # managed by Certbot
  ssl_certificate /etc/letsencrypt/live/ins.crore-data.com/fullchain.pem; # managed by Certbot
  ssl_certificate_key /etc/letsencrypt/live/ins.crore-data.com/privkey.pem; # managed by Certbot
  include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
  ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot
}
server {
  server_name          ins.crore-data.com;
  listen               80;
  return 301 https://ins.crore-data.com$request_uri;
}

