server {
  server_name nowruzgan.asmaneh.com;
  #root /space/dev/nowruzgan/webui/dist/webui/browser;

  #location / {
  #  try_files $uri$args $uri$args/ $uri $uri/ /index.html;
  #}

  location / {
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection "upgrade";
    proxy_http_version 1.1;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header Host $host;
    proxy_pass http://127.0.0.1:4000;
  }

  location /admin {
    alias /space/dev/nowruzgan/admin/dist/admin;
    try_files $uri$args $uri$args/ $uri $uri/ /admin/index.html;
  }

  location /api {
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection "upgrade";
    proxy_http_version 1.1;
    proxy_set_header Host $host;
    proxy_cache_bypass $http_upgrade;
    proxy_pass http://127.0.0.1:1351;
    client_max_body_size 50M;
  }

  location ~^/static/(?<pre>..)/(?<uuid>.*)/(?<fname>.*)$ {
    alias /space/dev/nowruzgan/private/;
    try_files /uploads/$pre/$uuid =404;
  }

  listen *:443 ssl; # managed by Certbot
  ssl_certificate /etc/letsencrypt/live/nowruzgan.asmaneh.com/fullchain.pem; # managed by Certbot
  ssl_certificate_key /etc/letsencrypt/live/nowruzgan.asmaneh.com/privkey.pem; # managed by Certbot
  include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
  ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot
}

server {
  listen *:80;
  server_name          nowruzgan.asmaneh.com;
  return 301 https://$host$request_uri;
}
