server {
  root /space/www/private.asmaneh.com/root;
  index index.php index.html index.htm;
  server_name private.asmaneh.com;

  location ~* \.(css|gif|ico|jpeg|jpg|js|png)$ {
    expires max;
    log_not_found off;
  }

  location / {
    try_files $uri $uri/  /ecourses/$uri /ecourses/$uri/ /ecourses/index.php?$args /index.php$is_args$args;
  }

  location ~ \.php$ {
    try_files $uri /index.php =404;
    fastcgi_split_path_info ^(.+\.php)(/.+)$;
    fastcgi_pass unix:/var/run/php/php7.4-fpm.sock;
    fastcgi_index index.php;
    fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
    fastcgi_param PHP_VALUE "upload_max_filesize=512M;\n post_max_size=512M;\n memory_limit=256M;\n max_execution_time=600;";
    include fastcgi_params;
  }

  location /ecourses {
    location ~ [^/]\.php(/|$) {
      fastcgi_split_path_info  ^(.+\.php)(/.+)$;
      fastcgi_index index.php;
      fastcgi_pass unix:/run/php/php7.4-fpm.sock;
      include fastcgi_params;
      fastcgi_param PATH_INFO $fastcgi_path_info;
      fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
    }
  }
  
  location ~ /\.ht {
    deny all;
  }

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/private.asmaneh.com/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/private.asmaneh.com/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}
server {
    if ($host = private.asmaneh.com) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


  listen 80;
  server_name private.asmaneh.com;
    return 404; # managed by Certbot
}
